## net.sourceforge.pmd.jsp.ast
Class JspParserTokenManager

    java.lang.Object
      net.sourceforge.pmd.jsp.ast.JspParserTokenManager

All Implemented Interfaces:
  JspParserConstants

public class JspParserTokenManager
extends java.lang.Object
implements JspParserConstants

Field Summary
`protected char` `curChar`
`(package private) int` `curLexState`
`java.io.PrintStream` `debugStream`
`(package private) int` `defaultLexState`
`protected CharStream` `input_stream`
`(package private) static long[]` `jjbitVec0`
`(package private) static long[]` `jjbitVec1`
`(package private) int` `jjmatchedKind`
`(package private) int` `jjmatchedPos`
`static int[]` `jjnewLexState`
`(package private) int` `jjnewStateCnt`
`(package private) static int[]` `jjnextStates`
`(package private) int` `jjround`
`static java.lang.String[]` `jjstrLiteralImages`
`(package private) static long[]` `jjtoSkip`
`(package private) static long[]` `jjtoSpecial`
`(package private) static long[]` `jjtoToken`
`static java.lang.String[]` `lexStateNames`

Fields inherited from interface net.sourceforge.pmd.jsp.ast.JspParserConstants

`AfterTagState, ALPHA_CHAR, ALPHANUM_CHAR, ATTR_EQ, ATTR_NAME, AttrValueBetweenDoubleQuotesState, AttrValueBetweenSingleQuotesState, AttrValueState, CDATA_END, CDATA_START, CDataState, COMMENT_END, COMMENT_START, COMMENT_TEXT, CommentState, DECL_END, DECL_START, DEFAULT, DOCTYPE_DECL_END, DOCTYPE_DECL_START, DocTypeExternalIdState, DocTypeState, DOLLAR, DOLLAR_OR_HASH_DOUBLE_QUOTE, DOLLAR_OR_HASH_SINGLE_QUOTE, DOUBLE_QUOTE, EL_ESCAPE, EL_EXPRESSION, EL_EXPRESSION_IN_ATTRIBUTE, ENDING_DOUBLE_QUOTE, ENDING_SINGLE_QUOTE, ENDTAG_START, EOF, IDENTIFIER, IDENTIFIER_CHAR, IN_TAG_ERROR, InTagState, JSP_COMMENT_CONTENT, JSP_COMMENT_END, JSP_COMMENT_START, JSP_DECLARATION, JSP_DECLARATION_END, JSP_DECLARATION_START, JSP_DIRECTIVE_ATTRIBUTE_EQUALS, JSP_DIRECTIVE_ATTRIBUTE_NAME, JSP_DIRECTIVE_ATTRIBUTE_VALUE, JSP_DIRECTIVE_END, JSP_DIRECTIVE_NAME, JSP_DIRECTIVE_START, JSP_EXPRESSION, JSP_EXPRESSION_END, JSP_EXPRESSION_IN_ATTRIBUTE, JSP_EXPRESSION_START, JSP_SCRIPTLET, JSP_SCRIPTLET_END, JSP_SCRIPTLET_START, JspCommentState, JspDeclarationState, JspDirectiveAttributesState, JspDirectiveState, JspExpressionState, JspScriptletState, LST_ERROR, NAME, NEWLINE, NO_JSP_COMMENT_END, NO_JSP_TAG_END, NO_LT_OR_DOLLAR, NO_OPENBRACE_OR_LT, NO_WHITESPACE_OR_LT_OR_DOLLAR, NUM_CHAR, PUBLIC, QUOTE, QUOTED_LITERAL, QUOTED_STRING, QUOTED_STRING_NO_BREAKS, SINGLE_QUOTE, StartTagState, SYSTEM, TAG_END, TAG_NAME, TAG_SLASHEND, TAG_START, TEXT_IN_EL, tokenImage, UNPARSED, UNPARSED_TEXT, UNPARSED_TEXT_NO_DOUBLE_QUOTES, UNPARSED_TEXT_NO_SINGLE_QUOTES, VALUE_BINDING_IN_ATTRIBUTE, WHITESPACE, WHITESPACES, XMLNAME`

Constructor Summary
`JspParserTokenManager(CharStream stream)`
`JspParserTokenManager(CharStream stream, int lexState)`

Method Summary
`Token` `getNextToken()`
`protected Token` `jjFillToken()`
`void` `ReInit(CharStream stream)`
`void` `ReInit(CharStream stream, int lexState)`
`void` `setDebugStream(java.io.PrintStream ds)`
`void` `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjbitVec0

    static final long[] jjbitVec0

### jjbitVec1

    static final long[] jjbitVec1

### jjnextStates

    static final int[] jjnextStates

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### jjtoToken

    static final long[] jjtoToken

### jjtoSkip

    static final long[] jjtoSkip

### jjtoSpecial

    static final long[] jjtoSpecial

### input_stream

    protected CharStream input_stream

### curChar

    protected char curChar

### curLexState

    int curLexState

### defaultLexState

    int defaultLexState

### jjnewStateCnt

    int jjnewStateCnt

### jjround

    int jjround

### jjmatchedPos

    int jjmatchedPos

### jjmatchedKind

    int jjmatchedKind

Constructor Detail

### JspParserTokenManager

    public JspParserTokenManager(CharStream stream)

### JspParserTokenManager

    public JspParserTokenManager(CharStream stream,
                                 int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(CharStream stream)

### ReInit

    public void ReInit(CharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Copyright © 2002-2006 InfoEther. All Rights Reserved.